Bug 16587 - RFE: Turn off dangerous services [Was: Add Network Servers option to custom install]
Summary: RFE: Turn off dangerous services [Was: Add Network Servers option to custom i...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-19 17:42 UTC by Gene Czarcinski
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-09 16:44:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2000-08-19 17:42:54 UTC
Some of the servers installed automatically by selecting NFS, Samba, etc.
in a custom install could present security problems.

Make the NEtwork Servers group visible rather than hidden and remove the
include from the other groups.

Comment 1 Michael Fulbright 2000-08-21 16:00:42 UTC
I think that all of the servers which could pose problems are not run by
default.

What do you think Matt?

Comment 2 Matt Wilson 2000-11-17 20:50:04 UTC
This is something to be handled package by package.


Comment 3 Preston Brown 2001-01-09 16:44:28 UTC
this is done in rawhide.

Comment 4 Brock Organ 2001-01-09 19:30:14 UTC
Verified "customize firewall configuration screen" has  entry for "other"
services beside dhcp, ssh, Telnet and http.

Comment 5 Brock Organ 2001-01-09 19:32:26 UTC
this was done in qa0109.0 test tree ...


Note You need to log in before you can comment on or make changes to this bug.